# Injector

Property in [YarnCommandAttribute](/2.4/api/csharp/yarn.unity/yarn.unity.yarncommandattribute.md)

## Summary

Override the state injector for this command only.

```csharp
public string Injector { get; set; }
```

## Remarks

If not defined, will use the method marked by [YarnStateInjectorAttribute](/2.4/api/csharp/yarn.unity/yarn.unity.yarnstateinjectorattribute.md) on the class, or if that is not defined and the class subclasses `UnityEngine.MonoBehaviour`, using `UnityEngine.GameObject.Find(System.String)`.

If none of those conditions are true, but the function is not static, an error will be thrown. However, if the function is indeed static, this parameter will be ignored.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.4/api/csharp/yarn.unity/yarn.unity.yarncommandattribute/yarn.unity.yarncommandattribute.injector.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
